Delete a streaming pipeline definition
curl --request DELETE \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Streaming Pipelines
Delete a streaming pipeline definition
Deletes a streaming pipeline definition in the account and project
DELETE
/
v1
/
projects
/
{projectId}
/
streaming-pipelines
/
{streamingPipelineId}
Delete a streaming pipeline definition
Authorizations
a valid bearer token
Path Parameters
The ID of the project from which to delete the streaming pipeline definition
The ID of the streaming pipeline definition to delete
Response
Successfully deleted the streaming pipeline definition
Was this page helpful?
⌘I
